AddGroupResourcesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.group.inventory.AddGroupResourcesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.group.inventory
Class AddGroupResourcesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.NonScheduleResourceForm
                      org.hyperic.hq.ui.action.resource.group.inventory.AddGroupResourcesForm

All Implemented Interfaces:
  java.io.Serializable

    public class AddGroupResourcesForm

extends NonScheduleResourceForm

A subclass of `ResourceForm` representing the AddGroupResources form. The purpose of this form is to add AppdefResourceValues to a AppdefGroupValue

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`AddGroupResourcesForm()`

Method Summary
`java.lang.String[]` | `getAvailableResource()`
`java.lang.String[]` | `getAvailableResources()`
`java.util.List` | `getAvailResourceTypes()`
`java.lang.String` | `getFilterBy()`
`java.lang.String` | `getNameFilter()`
`java.lang.String[]` | `getPendingResource()`
`java.lang.String[]` | `getPendingResources()`
`java.lang.Integer` | `getPsa()`
`java.lang.Integer` | `getPsp()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAvailableResource(java.lang.String[] availableResource)`
`void` | `setAvailableResources(java.lang.String[] availableResources)`
`void` | `setAvailResourceTypes(java.util.List availResourceTypes)`
`void` | `setFilterBy(java.lang.String fs)`
`void` | `setNameFilter(java.lang.String s)`
`void` | `setPendingResource(java.lang.String[] pendingResource)`
`void` | `setPendingResources(java.lang.String[] pendingResources)`
`void` | `setPsa(java.lang.Integer ps)`
`void` | `setPsp(java.lang.Integer ps)`
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.resource.NonScheduleResourceForm
`getDescription, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, loadResourceValue, setDescription, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, updateResourceValue`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddGroupResourcesForm

    public AddGroupResourcesForm()

Method Detail

### getAvailableResource

    public java.lang.String[] getAvailableResource()

### getAvailableResources

    public java.lang.String[] getAvailableResources()

### setAvailableResource

    public void setAvailableResource(java.lang.String[] availableResource)

### setAvailableResources

    public void setAvailableResources(java.lang.String[] availableResources)

### getPendingResource

    public java.lang.String[] getPendingResource()

### getPendingResources

    public java.lang.String[] getPendingResources()

### setPendingResource

    public void setPendingResource(java.lang.String[] pendingResource)

### setPendingResources

    public void setPendingResources(java.lang.String[] pendingResources)

### getPsa

    public java.lang.Integer getPsa()

### setPsa

    public void setPsa(java.lang.Integer ps)

### getPsp

    public java.lang.Integer getPsp()

### setPsp

    public void setPsp(java.lang.Integer ps)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `NonScheduleResourceForm`

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `NonScheduleResourceForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `NonScheduleResourceForm`

### getAvailResourceTypes

    public java.util.List getAvailResourceTypes()

### setAvailResourceTypes

    public void setAvailResourceTypes(java.util.List availResourceTypes)

### getFilterBy

    public java.lang.String getFilterBy()

### setFilterBy

    public void setFilterBy(java.lang.String fs)

### getNameFilter

    public java.lang.String getNameFilter()

### setNameFilter

    public void setNameFilter(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.